/* Base Styles */
:root {
	font-size: 17px;
	--accent-color: #1C1E22;
	--text-color: #F4F4F6;
	--highlight: #FF5C5C;
	--link-color: #ffffff;
	--background-primary-color: #2E3138;
	--background-secondary-color: #373B43;
}
* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}
html {
	scroll-behavior: smooth;
	scroll-padding-top: 5rem;
}
@font-face {
	font-family: "Merriweather";
	font-weight: normal;
	src: url("fonts/Merriweather-VariableFont_opsz\,wdth\,wght.ttf");
}
body {
	font-family: 'Merriweather', sans-serif;
	background-color: #1c1e22;
}
a {
	text-decoration: none;
}

/* Navigation bar */
nav {
	display: flex;
	position: fixed;
	top: 0;
	align-items: center;
	justify-content: space-between;
	z-index: 1000;
	background-color: var(--accent-color);
	padding: 0 3.125rem;
	width: 100%;
	height: 5rem;
	backdrop-filter: blur(5px);
}
nav .left a {
	transition: 0.3s;
	color: var(--text-color);
	font-size: 1.5rem;
	font-weight: 600;
}
nav .right a {
	transition: 0.3s;
	margin: 0 0.625rem;
	color: var(--text-color);
	font-size: 1rem;
	font-weight: 600;
}
nav .right a:hover,
nav .left a:hover {
	transition: 0.2s;
	color: var(--highlight);
}

/* General Section Styles */
section {
	flex-direction: column;
	align-items: center;
	transition: background-color 0.3s ease, box-shadow 0.3s ease;
	box-shadow: 0 4px 6px rgba(0, 0, 0, 0.05);
	padding: 8rem 2rem;
	min-height: 80vh;
	/* Reduce the default minimum height */
    display: flex;
	gap: 2rem;
}
section:nth-of-type(odd) {
	background-color: #2E3138;
}
section:nth-of-type(even) {
	background-color: #373B43;
}

/* Section Heading Styles */
section h2 {
	position: relative;
	margin-bottom: 1rem;
	letter-spacing: 1px;
	color: var(--text-color);
	font-size: 3rem;
	font-weight: 700;
}
section h2::after {
	position: absolute;
	bottom: -10px;
	left: 50%;
	transform: translateX(-50%);
	border-radius: 2px;
	background-color: #DEEAF7;
	width: 100px;
	height: 4px;
	content: '';
}

/* About Section */
#about-section {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	padding: 8rem 2rem;
	min-height: 100vh;
	text-align: center;
	gap: 0.5rem;
}
#about-section h2 {
	margin-bottom: 1rem;
	font-size: 2.75rem;
	font-weight: 700;
}
#about-section .headshot {
	margin-top: 1rem;
	margin-bottom: 37px;
	border-radius: 50%;
	box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
	width: 20rem;
	height: 20rem;
	overflow: hidden;
}
#about-section .headshot img {
	transition: transform 0.4s ease;
	border-radius: 50%;
	width: 100%;
	height: 100%;
	object-fit: cover;
}
#about-section .bio {
	margin-bottom: 2rem;
	padding: 0 2rem;
	max-width: 56.25rem;
}
#about-section .bio p {
	color: var(--text-color);
	font-size: 1.25rem;
	font-weight: 300;
}
#about-section .social-links {
	font-size: 2.25rem;
}
#about-section .social-links a {
	margin: 0 0.75rem;
	padding: 0;
}
#about-section .social-links a i {
	transition: transform 0.3s, color 0.3s;
}
#about-section .social-links a:hover i {
	transform: scale(1.2);
	color: #BDD5EF;
}
#about-section .social-links i {
	color: #BDD5EF;
	font-weight: 500;
}

/* Projects Section */
.project-subcontainer {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	width: 100%;
	gap: 1cm;
}
.project-subcontainer > a {
	border-radius: 5px;
	background-color: var(--accent-color);
	padding: 0.5cm;
	width: 25%;
	min-height: fit-content;
	text-align: left;
	color: white;
	hr {
		margin-bottom: 0.4cm;
	}
}
.project-subcontainer > a > div {
	margin-bottom: 0.5cm;
	border-radius: 5px;
	width: 100%;
	height: 4cm;
}
.project-subcontainer > a p {
	font-size: 14px;
}
#projects-section {
	display: flex;
	flex-direction: column;
	align-items: center;
	width: 100%;
	min-height: 100vh;
	gap: 2rem;
}
#projects-section h2 {
	margin-bottom: 1rem;
	font-size: 2.75rem;
	font-weight: 700;
}
#projects-section h3 {
	margin-bottom: 2rem;
	text-decoration: underline;
	font-size: 1.5rem;
	font-weight: 500;
}
.project-subsection {
	margin-bottom: 4rem;
	width: 100%;
}
.projects-scroll-container {
	display: flex;
	padding: 1rem;
	width: 100%;
	max-width: 1600px;
	overflow-x: auto;
	gap: 1.5rem;
	/* Allow horizontal scrolling if needed */
    margin: 0 auto;
}
.project-box {
	flex: 0 0 25%;
	transition: transform 0.3s ease, box-shadow 0.3s ease;
	border: 1px solid #424242;
	border-radius: 0.5rem;
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
	background-color: var(--accent-color);
	padding: 1rem;
}
.project-box:hover {
	transform: scale(0.95);
	/* Grow the box slightly on hover */
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
}
.project-box img {
	margin-bottom: 0.75rem;
	border-radius: 0.25rem;
	width: 100%;
	height: 12rem;
	object-fit: cover;
}
.project-box h4 {
	margin-bottom: 0.5rem;
	font-size: 1.25rem;
	font-weight: 600;
}
.project-box h5 {
	margin-bottom: 0.5rem;
	font-weight: 500;
}
.project-box p {
	color: #c7c7c7;
	font-size: 1rem;
	font-weight: 300;
}

/* Hackathon section */
#hackathon-section {
	display: flex;
}
#hackathon-section .hackathon-container {
	display: flex;
	flex-wrap: wrap;
	gap: 1cm;
	justify-content: center;
	align-items: flex-start;
}
#hackathon-section .hackathon-container div {
	border: 1px solid #424242;
	border-radius: 5px;
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
	background-color: var(--accent-color);
	background-position: center;
	background-repeat: no-repeat;
	background-size: 5cm;
	padding: 0.5cm;
	width: 8cm;
	height: fit-content;
	min-height: 8cm;
	color: white;
}
#hackathon-section .hackathon-container div hr {
	margin: 0.2cm 0 0.3cm 0;
}
#hackathon-section .hackathon-container div h4 {
	margin-bottom: 0.5rem;
	font-size: 1.25rem;
	font-weight: 600;
}
#hackathon-section .hackathon-container div p {
	margin: 0.2cm 0 0 0;
	color: #c7c7c7;
	font-size: 14px;
	font-weight: 300;
}
#hackathon-section .hackathon-container div img {
	padding-bottom: 5px;
	width: 7cm;
	height: 7cm;
}

/* Skills Section */
#skills-section {
	display: flex;
	flex-direction: column;
	align-items: center;
	min-height: 30vh;
	text-align: center;
	gap: 2rem;
}
#skills-section h2 {
	margin-bottom: 1rem;
	font-size: 2.75rem;
	font-weight: 700;
}
#skills-section .skills-container {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	gap: 2rem;
}
#skills-section i {
	transition: transform 0.3s ease, color 0.3s ease;
	margin: 1rem 0;
	color: #BDD5EF;
	font-size: 3rem;
}
#skills-section i:hover {
	transform: scale(1.2);
}
#python:hover {
	color: #3771a1;
}
#java:hover {
	color: #5283a2;
}
#cpp:hover {
	color: #00599d;
}
#javascript:hover {
	color: #f0db4f;
}
#react:hover {
	color: #7cdffe;
}
#nodejs:hover {
	color: #77af63;
}
#git:hover {
	color: #f05033;
}
#database:hover {
	color: #a7a7a7;
}
#mongodb:hover {
	color: #07ac4f;
}
#selenium:hover {
	color: #00b400;
}

/* Leave a Message Section */
#leave-message-section {
	display: flex;
	justify-content: center;
}
#leave-message-section form {
	display: flex;
	flex-direction: column;
	align-items: center;
	border-radius: 10px;
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
	background: var(--accent-color);
	padding: 2rem;
	width: 100%;
	max-width: 500px;
	gap: 1.5rem;
}
#leave-message-section label {
	align-self: flex-start;
	color: var(--text-color);
	font-size: 1.1rem;
	font-weight: 500;
}
#leave-message-section input, 
#leave-message-section textarea {
	transition: all 0.3s ease;
	border: 1px solid #bfd6c4;
	border-radius: 5px;
	padding: 0.8rem;
	width: 100%;
	font-family: inherit;
	font-size: 1rem;
}
#leave-message-section input:focus, 
#leave-message-section textarea:focus {
	outline: none;
	border-color: #588061;
	box-shadow: 0 0 5px var(--highlight);
}
#leave-message-section textarea {
	height: 150px;
	resize: none;
}
#leave-message-section button {
	transition: 0.2s;
	border: none;
	border-radius: 5px;
	background-color: var(--background-secondary-color);
	cursor: pointer;
	padding: 0.75rem 1.5rem;
	color: #ffffff;
	font-size: 1.2rem;
	font-weight: 600;
}
#leave-message-section button:hover {
	transition: 0.1s;
	background-color: var(--background-primary-color);
	color: var(--highlight);
}

/* Snackbar Notification */
#snackbar {
	position: fixed;
	bottom: 30px;
	left: 50%;
	transform: translateX(-50%);
	transition: opacity 0.3s ease, bottom 0.3s ease;
	visibility: hidden;
	opacity: 0;
	z-index: 9999;
	border-radius: 5px;
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
	background-color: #588061;
	padding: 1rem;
	min-width: 250px;
	text-align: center;
	color: #ffffff;
	font-size: 1.1rem;
}
#snackbar.show {
	bottom: 50px;
	visibility: visible;
	opacity: 1;
}
footer {
	background-color: var(--accent-color);
	padding: 1rem 0;
	text-align: center;
	color: #fff;
	font-size: 0.875rem;
}

/* Media Queries for Responsiveness */
@media (min-width: 1690px) {
	.swiper-wrapper {
		justify-content: center;
	}
}
@media (max-width: 992px) {
	nav .left a {
		font-size: 1.25rem;
	}
	nav .right a {
		margin: 0 0.5rem;
		font-size: 1rem;
	}
	#about-section .headshot {
		width: 18rem;
		height: 18rem;
	}
	#projects-section .project-box {
		flex: 0 0 14rem;
	}
	#skills-section i {
		font-size: 2.5rem;
	}
}
@media (max-width: 768px) {
	nav .left a {
		font-size: 1.25rem;
	}
	nav .right a {
		margin: 0 0.375rem;
		font-size: 1.1rem;
	}
	#about-section .headshot {
		width: 16rem;
		height: 16rem;
	}
	#projects-section .project-box {
		flex: 0 0 14rem;
	}
	#skills-section i {
		font-size: 2rem;
	}
	#skills-section .skills-container {
		gap: 1.25rem;
	}
}
@media (max-width: 576px) {
	nav {
		padding: 0 1rem;
	}
	nav .left a {
		font-size: 1.1rem;
	}
	nav .right a {
		margin: 0 0.25rem;
		font-size: 0.8rem;
	}
	#about-section .social-links {
		font-size: 1.75rem;
	}
	#about-section h2 {
		font-size: 2.4rem;
	}
	#about-section .headshot {
		width: 12rem;
		height: 12rem;
	}
	#projects-section .project-box {
		flex: 0 0 14rem;
	}
	#skills-section i {
		font-size: 1.5rem;
	}
	#skills-section .skills-container {
		gap: 1rem;
	}
	section {
		padding: 6rem 1rem;
	}
	#projects-section {
		padding: 6rem 1rem;
	}
	#leave-message-section {
		padding: 3rem 1rem;
	}
}
